extends Node

var current_checkpoint : Vector3 = Vector3.ZERO
var player : Player
var keys_left : int = 0

var gameOverCanvas

func reset_player() -> void:
	player.global_position = current_checkpoint

func change_level(scene_path : String) -> void:
	keys_left = 0
	get_tree().call_deferred("change_scene_to_file", scene_path)

func game_over() -> void:
	gameOverCanvas.visible = true

# -------------------- 
# TODO 3
# Create the restart_level function 
# -------------------- 
